Bug 201463 - [patch] www/squid: add missing pkg-plist entry (SSL_CRTD option)
Summary: [patch] www/squid: add missing pkg-plist entry (SSL_CRTD option)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-07-10 21:11 UTC by Andriy Voskoboinyk
Modified: 2015-09-21 11:08 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (timp87)


Attachments
pkg-plist.diff (415 bytes, patch)
2015-07-10 21:11 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (2.37 KB, text/plain)
2015-07-10 21:12 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386.log.txz (43.64 KB, application/x-xz)
2015-07-10 21:14 UTC, Andriy Voskoboinyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-07-10 21:11:34 UTC
Created attachment 158589 [details]
pkg-plist.diff
Comment 1 Andriy Voskoboinyk freebsd_committer 2015-07-10 21:12:45 UTC
Created attachment 158590 [details]
portlint.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-07-10 21:14:31 UTC
Created attachment 158591 [details]
poudriere-9.3-i386.log.txz
Comment 3 timp87 2015-07-13 08:08:07 UTC
Thanks a lot! I approve.
Sorry for the delay.
Comment 4 Philip M. Gollucci freebsd_committer 2015-07-14 22:25:31 UTC
Take.
Comment 5 commit-hook freebsd_committer 2015-07-15 20:59:32 UTC
A commit references this bug:

Author: pgollucci
Date: Wed Jul 15 20:59:04 UTC 2015
New revision: 392222
URL: https://svnweb.freebsd.org/changeset/ports/392222

Log:
  www/squid: pkg-list fix

  - add missing pkg-plist entry (SSL_CRTD option)

  PR:                  201463
  Submitted by:        s3erios@gmail.com
  Approved by:         timp87@gmail.com (maintainer)

Changes:
  head/www/squid/pkg-plist
Comment 6 commit-hook freebsd_committer 2015-09-21 11:08:36 UTC
A commit references this bug:

Author: junovitch
Date: Mon Sep 21 11:08:26 UTC 2015
New revision: 397486
URL: https://svnweb.freebsd.org/changeset/ports/397486

Log:
  MFH r391555, r392222, r393602, r396106, r396185, r397215, r397476

  r391555
  www/squid: Support DragonFly SHM segments

  Out of the box, squid would not run on dragonfly due to its handling
  of SHM segments.  On DragonFly, SHM segments are always treated as files
  but on FreeBSD it depends on whether or not application is inside a jail.

  In any case, the case for DragonFly was no supported, so it has been
  added via patch.  This also requires the return of /var/run/squid
  directory which is where the SHM files are stored (defined by
  localstatedir and supported by RC script).  The RC script would define
  this directory if missing, but let's make sure it is always available.

  PR:		201405
  Submitted by:	marino
  Approved by:	maintainer (timp87/gmail)

  r392222
  www/squid: pkg-list fix

  - add missing pkg-plist entry (SSL_CRTD option)

  PR:                  201463
  Submitted by:        s3erios@gmail.com
  Approved by:         timp87@gmail.com (maintainer)

  r393602
  www/squid: update 3.5.6 -> 3.5.7

  - Fix build with ecap by clang
  - Get rid of useless and always empty /var/squid/logs
  - Rework patches to make portlint a bit happier

  PR:		202053
  Submitted by:	Pavel Timofeev <timp87@gmail.com> (maintainer)

  r396106
  www/squid: update 3.5.7 -> 3.5.8

  PR:		202826
  Submitted by:	Pavel Timofeev <timp87@gmail.com> (maintainer)
  Approved by:	feld (mentor)

  r396185
  Fix TP_IPF build.

  r397215
  Rather than produce a warning message that IPv6 is not supported
  under ipfilter 4 (FreeBSD 9) every tenth time, reduce the message
  to one in a million. This has the effect of displaying the message
  at or shortly after startup with a reminder every blue moon.

  PR:		202950

  r397476
  www/squid: security update and build fix

  - security update 3.5.8 -> 3.5.9 [1]
  - Fix TP_IPF build on FreeBSD 9 [2]

  PR:		203186 [1]
  PR:		202950 [2]
  Approved by:	Pavel Timofeev <timp87@gmail.com> (maintainer) [1]
  Security:	d3a98c2d-5da1-11e5-9909-002590263bf5
  Approved by:	portmgr (erwin)

Changes:
_U  branches/2015Q3/
  branches/2015Q3/www/squid/Makefile
  branches/2015Q3/www/squid/distinfo
  branches/2015Q3/www/squid/files/extra-patch-build-8-9
  branches/2015Q3/www/squid/files/patch-bug4190
  branches/2015Q3/www/squid/files/patch-compat_compat.h
  branches/2015Q3/www/squid/files/patch-compat_shm.cc
  branches/2015Q3/www/squid/files/patch-configure
  branches/2015Q3/www/squid/files/patch-configure_GSSAPI_NONE
  branches/2015Q3/www/squid/files/patch-configure_NIS
  branches/2015Q3/www/squid/files/patch-configure_crypt.h
  branches/2015Q3/www/squid/files/patch-src-cf.data.pre
  branches/2015Q3/www/squid/files/patch-src_DiskIO_Mmapped_MmappedFile.cc
  branches/2015Q3/www/squid/files/patch-src__ip__Intercept.cc
  branches/2015Q3/www/squid/files/patch-src_ipc_mem_Segment.cc
  branches/2015Q3/www/squid/files/patch-src_tools.cc
  branches/2015Q3/www/squid/pkg-plist